<app-loader *ngIf="isLoad">  </app-loader>


<div *ngIf="error && !isLoad">
	<i>{{error}}</i>
</div>


<div class="art-card" *ngIf="achievements">
	<table mat-table  [dataSource]="achievements || []">
		<ng-container matColumnDef="name">
			<th mat-header-cell *matHeaderCellDef > Наименование ИД </th>
			<td mat-cell *matCellDef="let row"> {{ row?.name_achievement }}</td>
		</ng-container>

		<ng-container matColumnDef="category">
			<th mat-header-cell *matHeaderCellDef > Категория ИД </th>
			<td mat-cell *matCellDef="let row"> {{ row?.name_category }}
			</td>
		</ng-container>

		<ng-container matColumnDef="maxScore">
			<th mat-header-cell *matHeaderCellDef > Макс. балл </th>
			<td mat-cell *matCellDef="let row"> {{ row?.max_value }}</td>
		</ng-container>


		<ng-container matColumnDef="mark">
			<th mat-header-cell *matHeaderCellDef > Полученный балл </th>
			<td mat-cell *matCellDef="let row"> {{ row?.mark }}</td>
		</ng-container>

		<ng-container matColumnDef="docInfo">
			<th mat-header-cell *matHeaderCellDef > Подтверждающий документ </th>
			<td mat-cell *matCellDef="let row">
				<div *ngIf="row.document"> {{ row.document?.name_type }} </div>
				<div *ngIf="row.file; else notFiles">
					<div *ngFor="let item of row.epgu_documents">
						<button mat-flat-button (click)="openFile($event, item)">
							<mat-icon [svgIcon]="'download'"
								class="mr-8"></mat-icon>
							<span>{{item.path_file}}</span>
						</button>
					</div>
					<div *ngIf="!row.epgu_documents"> <i> файлы не прикреплены </i>  </div>
				</div>
				<ng-template #notFiles> - </ng-template>

			</td>
		</ng-container>

		<ng-container matColumnDef="noRecord">
			<td mat-footer-cell *matFooterCellDef [colSpan]="headerColumns.length" ><i>Индивидуальных достижений не найдено</i></td>
		</ng-container>


		<tr mat-header-row *matHeaderRowDef="headerColumns"></tr>
		<tr mat-row  *matRowDef="let row; columns: headerColumns;"></tr>
		<tr mat-footer-row *matFooterRowDef="['noRecord'] "
			[hidden]="achievements.length !== 0"></tr>

	</table>
</div>
